TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

DryReplace_ ( dry D, any source, any target ) -> dry

### Description

<shortdoc> Replace the element `source' in `D' by `target'.
If `source' is in `D' it is removed and `target' is added such that the result stays a dry.
If `source' is not in `D' then `D' is not changed at all. No error is raised in this case.
Note: Technically this is nothing but
if source in D then DryRemove_(D,source); DryAdd_(D,target); fi;
but it is more efficient since the dry need not be resized. </shortdoc>

### See also

DryReplaceOrAdd_ ( dry, any, any )

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack